Runtime

## org.eclipse.gmf.runtime.common.ui.util
Interface ICustomData

All Known Implementing Classes:
  CustomData

public interface ICustomData

Interface for defining custom data used within clipboard/DND operations by the transfer agent `CustomDataTransfer`

Method Summary
`byte[]` `getData()` Retrieves the data
`java.lang.String` `getFormatType()` Retrieves the format type

Method Detail

### getFormatType

    public java.lang.String getFormatType()

  Retrieves the format type

  Returns:
    the format type

### getData

    public byte[] getData()

  Retrieves the data

  Returns:
    the data as bytes

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.